org.scalatest.matchers.Matchers.MatcherWrapper

# AndNotWord

#### class AndNotWord extends AnyRef

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. AndNotWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AndNotWord ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def be (byteTolerance: ByteTolerance): Matcher[T with Byte]

   This method enables the following syntax:

   This method enables the following syntax:

       sevenByte should ((not be (19.toByte plusOrMinus 2.toByte)) and (not be (19.toByte plusOrMinus 2.toByte)))
                                                                            ^

8. #### def be (shortTolerance: ShortTolerance): Matcher[T with Short]

   This method enables the following syntax:

   This method enables the following syntax:

       sevenShort should (not be (17.toShort plusOrMinus 2.toShort) and not be (17.toShort plusOrMinus 2.toShort))
                                                                            ^

9. #### def be (intTolerance: IntTolerance): Matcher[T with Int]

   This method enables the following syntax:

   This method enables the following syntax:

       sevenInt should (not be (17 plusOrMinus 2) and not be (17 plusOrMinus 2))
                                                          ^

10. #### def be (longTolerance: LongTolerance): Matcher[T with Long]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenLong should (not be (17L plusOrMinus 2L) and not be (17L plusOrMinus 2L))
                                                              ^

11. #### def be (floatTolerance: FloatTolerance): Matcher[T with Float]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenDotOhFloat should (not be (17.0f plusOrMinus 0.2f) and not be (17.0f plusOrMinus 0.2f))
                                                                        ^

12. #### def be (doubleTolerance: DoubleTolerance): Matcher[T with Double]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenDotOh should (not be (17.0 plusOrMinus 0.2) and not be (17.0 plusOrMinus 0.2))
                                                                 ^

13. #### def be [T] (resultOfTheSameInstanceAsApplication: ResultOfTheSameInstanceAsApplication): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        obj should (not be theSameInstanceAs (otherString) and not be theSameInstanceAs (otherString))
                                                                   ^

14. #### def be [T <: AnyRef] (resultOfAnWordApplication: ResultOfAnWordToBePropertyMatcherApplication[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        myFile should (not be an (directory) and not be an (directory))
                                                     ^

15. #### def be [T] (resultOfAnWordApplication: ResultOfAnWordToSymbolApplication): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        isNotAppleMock should (not be an ('apple) and not be an ('apple))
                                                          ^

16. #### def be [T <: AnyRef] (resultOfAWordApplication: ResultOfAWordToBePropertyMatcherApplication[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        myFile should (not be a (directory) and not be a (directory))
                                                    ^

17. #### def be (resultOfAWordApplication: ResultOfAWordToSymbolApplication): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        isNotFileMock should (not be a ('file) and not be a ('file))
                                                       ^

18. #### def be [T] (bePropertyMatcher: BePropertyMatcher[T]): Matcher[T with AnyRef with T]

    This method enables the following syntax:

    This method enables the following syntax:

        myFile should (not be (directory) and not be (directory))
                                                     ^

19. #### def be [T] (beMatcher: BeMatcher[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        2 should (not be (odd) and not be (odd))
                                       ^

20. #### def be (symbol: Symbol): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        notEmptyMock should (not be ('empty) and not be ('empty))
                                                     ^

21. #### def be (resultOfTripleEqualsApplication: ResultOfTripleEqualsApplication): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        5 should (not be === (2) and not be === (6))
                                         ^

22. #### def be [T] (resultOfGreaterThanOrEqualToComparison: ResultOfGreaterThanOrEqualToComparison[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        7 should (not be >= (8) and not be >= (6))
                                        ^

23. #### def be [T] (resultOfLessThanOrEqualToComparison: ResultOfLessThanOrEqualToComparison[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        2 should (not be <= (1) and not be <= (2))
                                        ^

24. #### def be [T] (resultOfGreaterThanComparison: ResultOfGreaterThanComparison[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        7 should (not be > (8) and not be > (6))
                                       ^

25. #### def be [T] (o: Null): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        map should (contain key (7) and not be (null))
                                            ^

26. #### def be [T] (resultOfLessThanComparison: ResultOfLessThanComparison[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        5 should (not be < (2) and not be < (6))
                                       ^

27. #### def be (any: Any): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        1 should (not be (2) and not be (3 - 1))
                                     ^

28. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def contain [T] (resultOfValueWordApplication: ResultOfValueWordApplication[T]): Matcher[T with scala.collection.Map[K,T] forSome { type K }]

    This method enables the following syntax:

    This method enables the following syntax:

        Map("one" -> 1, "two" -> 2) should (not contain value (5) and not contain value (3))
                                                                          ^

30. #### def contain [T] (resultOfKeyWordApplication: ResultOfKeyWordApplication[T]): Matcher[T with Map[T, Any]]

    This method enables the following syntax:

    This method enables the following syntax:

        Map("one" -> 1, "two" -> 2) should (not contain key ("five") and not contain key ("three"))
                                                                             ^

31. #### def contain [T] (expectedElement: T): Matcher[T with Traversable[T]]

    This method enables the following syntax:

    This method enables the following syntax:

        Array(1, 2) should (not contain (5) and not contain (3))
                                                            ^

32. #### def endWith (expectedSubstring: String): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not endWith ("fre") and not endWith ("1.7"))
                                                   ^

33. #### def endWith (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not endWith regex ("bob") and not endWith regex (decimal))
                                                         ^

34. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

35. #### def equal (any: Any): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        1 should (not equal (2) and not equal (3 - 1))
                                        ^

36. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

37. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

38. #### def fullyMatch (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not fullyMatch regex ("bob") and not fullyMatch regex (decimal))
                                                            ^

39. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

40. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

41. #### def have [T] (firstPropertyMatcher: org.scalatest.matchers.HavePropertyMatcher[T, _], propertyMatchers: org.scalatest.matchers.HavePropertyMatcher[T, _]*): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        book should (not have (title ("Moby Dick")) and not have (author ("Melville")))
                                                            ^

42. #### def have (resultOfSizeWordApplication: ResultOfSizeWordApplication): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        Array(1, 2) should (not have size (5) and not have size (3))
                                                      ^

43. #### def have (resultOfLengthWordApplication: ResultOfLengthWordApplication): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        Array(1, 2) should (not have size (5) and not have length (3))
                                                      ^

44. #### def include (expectedSubstring: String): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not include ("bob") and not include ("1.7"))
                                                   ^

45. #### def include (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not include regex ("bob") and not include regex (decimal))
                                                            ^

46. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

47. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

48. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

49. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

50. #### def startWith (expectedSubstring: String): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not startWith ("red") and not startWith ("1.7"))
                                                     ^

51. #### def startWith (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not startWith regex ("bob") and not startWith regex (decimal))
                                                           ^

52. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

53. #### def toString (): String

    Definition Classes
      AnyRef → Any

54. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

55. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

56. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any